ApiRefunds

Refund a charge

Give money back — AC 1 and AC 2. 409 rather than 400 for an over-refund: the request is well formed and would have been accepted against a different state of the charge.

POST
/api/b/v1/refunds

Give money back — AC 1 and AC 2.

409 rather than 400 for an over-refund: the request is well formed and would have been accepted against a different state of the charge.

Authorization

OAuth2PasswordBearer
AuthorizationBearer <token>

In: header

admin_access_token?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/b/v1/refunds" \  -H "Content-Type: application/json" \  -d '{    "charge_id": "cf8b747b-a752-4d0a-9a4d-7d19fc1769f3",    "idempotency_key": "stringst"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "charge_id": "cf8b747b-a752-4d0a-9a4d-7d19fc1769f3",  "amount_minor": 0,  "currency": "string",  "status": "string",  "method": "string",  "rail": "string",  "provider_reference": "string",  "reason": "string",  "failure_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "completed_at": "2019-08-24T14:15:22Z"}